Last Comment Bug 314637 - Search Messages can't find some words in ISO-2022-JP messages
: Search Messages can't find some words in ISO-2022-JP messages
Status: VERIFIED FIXED
: fixed1.8.0.4, intl, verified1.8.1
Product: MailNews Core
Classification: Components
Component: Search (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.8.1
Assigned To: Masatoshi Kimura [:emk]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-01 10:29 PST by Masatoshi Kimura [:emk]
Modified: 2008-07-31 04:30 PDT (History)
3 users (show)
mscott: blocking‑thunderbird2+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch rv1.0 (1.48 KB, patch)
2005-11-01 10:39 PST, Masatoshi Kimura [:emk]
jshin1987: review+
mozilla: superreview+
Details | Diff | Splinter Review
Patch rv1.1 (1.54 KB, patch)
2005-11-03 02:48 PST, Masatoshi Kimura [:emk]
VYV03354: review+
VYV03354: superreview+
dveditz: approval1.8.0.2-
jaymoz: approval1.8.0.4+
mscott: approval1.8.1+
Details | Diff | Splinter Review

Description Masatoshi Kimura [:emk] 2005-11-01 10:29:25 PST
Please see this bug using UTF-8 encoding.

Reproducable: Always

Steps to reproduce:
1. Compose new message.
2. Options-Character-Encoding-"Japanese (ISO-2022-JP)".
3. Type "現況".
4. Save it in the Drafts folder.
5. Edit-Find-"Search Messages".
6. Search using the following condition: Body contains "現況".

Actual result:
No matches found.

Expected result.
Match found.
Comment 1 Masatoshi Kimura [:emk] 2005-11-01 10:39:08 PST
Created attachment 201537 [details] [diff] [review]
Patch rv1.0

Japanese word "現況" contains the bit pattern "=67" which is misidentified as quoted printable.
Also changed Bugscape ID which is no longer useful.
Comment 2 Jungshik Shin 2005-11-02 21:44:53 PST
Comment on attachment 201537 [details] [diff] [review]
Patch rv1.0

r=jshin
Please, use 'stateful charsets like ISO-2022-JP' in place of 'stateful csids like JIS'
Comment 3 Masatoshi Kimura [:emk] 2005-11-03 02:48:24 PST
Created attachment 201732 [details] [diff] [review]
Patch rv1.1

Carrying over r+sr (comment only change)
Comment 4 Masayuki Nakano [:masayuki] (Mozilla Japan) 2005-11-03 06:13:59 PST
checked-in to trunk. Thanks, Kimura-san!
Comment 5 WADA 2005-11-03 16:25:24 PST
VERIFIED with Seamonkey 200511031-trunk/Win-2K.
Comment 6 Masatoshi Kimura [:emk] 2006-01-07 08:55:23 PST
Comment on attachment 201732 [details] [diff] [review]
Patch rv1.1

Quite simple one-liner fix which affects only ISO-2022-JP messages.
But it's very important for Japanese users to search messages correctly.
Comment 7 Scott MacGregor 2006-01-26 13:22:42 PST
Comment on attachment 201732 [details] [diff] [review]
Patch rv1.1

please land this on the 1.8.1 branch for thunderbird 2 (or let me know if you need me to do it for you).
Comment 8 Jungshik Shin 2006-01-26 16:22:37 PST
landed on 1.8.1 branch
Comment 9 Masayuki Nakano [:masayuki] (Mozilla Japan) 2006-03-17 08:58:35 PST
Comment on attachment 201732 [details] [diff] [review]
Patch rv1.1

Oops, sorry, I forgot this. This should go to 1.8.0 branch. This is low risk and good fix.
Comment 10 Daniel Veditz [:dveditz] 2006-03-17 12:10:17 PST
Comment on attachment 201732 [details] [diff] [review]
Patch rv1.1

Unfortunately we are already testing final candidate bits for 1.8.0.2 and this is not a stop-ship security hole. Looks good for 1.8.0.3 (which will be approved later, after we've tagged the cvs tree).
Comment 11 Jay Patel [:jay] 2006-04-05 12:18:11 PDT
Comment on attachment 201732 [details] [diff] [review]
Patch rv1.1

Please check in promptly on the 1.8.0 branch.  Thanks!
Comment 12 Masayuki Nakano [:masayuki] (Mozilla Japan) 2006-04-05 16:08:07 PDT
checked-in to 1.8.0 branch, thanks.

Note You need to log in before you can comment on or make changes to this bug.